Package de.willuhn.jameica.hbci.server

# Class BPDUtil

java.lang.Object
de.willuhn.jameica.hbci.server.BPDUtil

public class BPDUtil extends Object
Hilfsklasse zum Durchsuchen der BPD.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`BPDUtil.Query`
Enum fuer vordefinierte Queries von BPD.
`static class`
`BPDUtil.Support`
Enthaelt die Support-Informationen fuer einen Geschaeftsvorfall.

## Constructor Summary

Constructors
Constructor
Description
`BPDUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`expireCache(org.kapott.hbci.passport.HBCIPassport passport, DBPropertyUtil.Prefix prefix)`
Markiert den Cache als expired.
`static BPDUtil.Support`
`getSupport(Konto konto, BPDUtil.Query query)`
Liefert die Support-Informationen zu einem Geschaeftsvorfall fuer ein Konto.
`static boolean`
`updateCache(org.kapott.hbci.passport.HBCIPassport passport, DBPropertyUtil.Prefix prefix)`
Aktualisiert den Cache fuer den Passport.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BPDUtil

public BPDUtil()

## Method Details

### getSupport

public static BPDUtil.Support getSupport(Konto konto, BPDUtil.Query query)
Liefert die Support-Informationen zu einem Geschaeftsvorfall fuer ein Konto.

Parameters:
  `konto` - das Konto.
  `query` - das Query.
Returns:
  die Support-Informationen oder NULL, wenn kein Konto oder kein Query angegeben wurde oder das Konto keine gueltige Kundennummer besitzt.

### updateCache

public static boolean updateCache(org.kapott.hbci.passport.HBCIPassport passport, DBPropertyUtil.Prefix prefix)
Aktualisiert den Cache fuer den Passport.

Parameters:
  `passport` - der Passport.
  `prefix` - der Prefix.
Returns:
  true, wenn der Cache aktualisiert wurde.

### expireCache

public static void expireCache(org.kapott.hbci.passport.HBCIPassport passport, DBPropertyUtil.Prefix prefix)
Markiert den Cache als expired.

Parameters:
  `passport` - der Passport.
  `prefix` - der Prefix.